<?php
namespace Claromentis\Infocapture\Event;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array();
use Claromentis\Core\Event\Event;
use Claromentis\Infocapture\Model\ICFieldGroup;
class FieldPermissionsReorderedEvent extends Event implements ProjectEventInterface
{
    
    
    protected $project;
    
    
    protected $group;
    
    
    protected $rules;
    
    
    
    
    
    
    
    
    public function __construct(\HDProject $project, ICFieldGroup $_e9208e4fb555ac989f7519e19c1da810, array $_458d7f6e7713c8ba96d2075dedaaf6c4)
    {
        $this->project = $project;
        $this->group = $_e9208e4fb555ac989f7519e19c1da810;
        $this->rules = $_458d7f6e7713c8ba96d2075dedaaf6c4;
    }
    
    
    
    
    public function getProject() : \HDProject
    {
        return $this->project;
    }
    
    
    
    
    public function getGroup() : ICFieldGroup
    {
        return $this->group;
    }
    
    
    
    
    public function getRules() : array
    {
        return $this->rules;
    }
}